Heatmap
curl --request GET \
--url https://api.crowdchange.dev/v2/client/fundraiser/{id}/heatmap \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/client/fundraiser/{id}/heatmap"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/client/fundraiser/{id}/heatmap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount_raised": 100,
"n_donors": 10,
"country": "CA",
"state": "NY"
}
]
Campaign-Specific APIs
Heatmap
Retrieve aggregated donation counts and amounts raised by country and state for a CrowdChange campaign, suitable for rendering a geographic heatmap.
GET
/
v2
/
client
/
fundraiser
/
{id}
/
heatmap
Heatmap
Path parameters
integer
required
Fundraiser ID.
Response
Returns an array of objects with the following fields.number
Total raised amount
number
Number of donors
string
Country code
string
State or province.
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
[
{
"amount_raised": 100,
"n_donors": 10,
"country": "CA",
"state": "NY"
}
]
Was this page helpful?
⌘I